Subject: DOS-Extenders (Re: OS/2 port of REND386)

From: [email-masked] (Technically Sweet)
Date: Fri, 3 Dec 1993 16:44:44 PST

> [email-masked] (Sting)
> I have never used a dos extender but exactly how would you transform

Under DJGPP, the GNU DOS extender, you just compile a 32-bit
mode program from scratch.  You have to recode all assembler from
16-bit instructions to 32-bit instructions.

I develop on BSD386, link the binary program, move it to DOS,
and run it.  Works quite well.  It's the same compiler/assembler/bin
format.  You just have to compile with a different set of include
files and use a different archiver and linker.  

DJGPP uses a very unix-flavored C library.  I have one program that
I build for Unix and DOS on BSD386; Unix uses X and DJGPP talks the
screen directly.

-- 

Lance Norskog
[email-masked]
Data is not information is not knowledge is not wisdom.